<!DOCTYPE html>
<div class="col-lg-12 animated fadeInRight">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Orders</strong>
                        </h3>
                        <div class="row">

                            <div class="col-xs-2 autocomplete-field-container" *ngIf="companyType==1">
                                <input matInput placeholder="Select Tariff" class="form-control" name="tariff_id"
                                    (ngModelChange)="searchTariff($event,'searchTariff')" [(ngModel)]="tariff_id"
                                    aria-label="tariff" [matAutocomplete]="tariff">
                                <img *ngIf="loadingIndicator == 'searchTariff'" class="loading_indicator"
                                    src="assets/img/loading.gif" alt="loader">
                                <mat-autocomplete #tariff="matAutocomplete" [displayWith]="displayFnTariff">
                                    <mat-option *ngFor="let tariff of tariffData" [value]="tariff">
                                        <span>{{ tariff.name }}</span>
                                    </mat-option>
                                    <mat-option *ngIf="tariffData=='' && tariffData!.length == 0">No Matches Found
                                    </mat-option>
                                </mat-autocomplete>
                            </div>

                            <div class="col-xs-4 autocomplete-field-container">

                                <div>
                                    <mat-chip-list #chipList2>
                                        <mat-chip *ngFor="let order of ordersFilter" [selectable]="selectable"
                                            [removable]="removable" (removed)="removeOrder(order)"
                                            style="font-size:10px;">
                                            {{order}}
                                            <mat-icon matChipRemove *ngIf="removable" class="fa fa-times-circle">
                                            </mat-icon>
                                        </mat-chip>
                                        <div style="position:relative; width: 100%;">
                                            <input style="width: 100%; margin: 0px; flex: 1 0 150px;"
                                                class="form-control" [formControl]="orderCtrl"
                                                placeholder="Enter Order Id" [matChipInputFor]="chipList2"
                                                [matAutocomplete]="auto3"
                                                [matChipInputSeparatorKeyCodes]="separatorKeysCodes">
                                            <img *ngIf="loadingIndicator == 'searchOrder'" class="loading_indicator"
                                                src="assets/img/loading.gif" alt="loader">
                                        </div>
                                    </mat-chip-list>
                                    <mat-autocomplete #auto3="matAutocomplete" [displayWith]="displayFnOrderId"
                                        (optionSelected)="orderIdselected($event)">
                                        <mat-option *ngFor="let orderId of allOrderIddata" [value]="orderId">
                                            {{orderId.unique_order_id}}
                                        </mat-option>
                                        <mat-option *ngIf="allOrderIddata=='' && allOrderIddata!.length == 0">No
                                            Matches Found</mat-option>
                                    </mat-autocomplete>
                                </div>
                            </div>

                            <div class="col-xs-2  autocomplete-field-container" *ngIf="companyType==1">
                                <input matInput placeholder="Partner" class="form-control" name="partner_id"
                                    (ngModelChange)="searchPartner($event,'searchPartner')" [(ngModel)]="partner_id"
                                    aria-label="Partner" [matAutocomplete]="partner">
                                <img *ngIf="loadingIndicator == 'searchPartner'" class="loading_indicator"
                                    src="assets/img/loading.gif" alt="loader">
                                <mat-autocomplete #partner="matAutocomplete" [displayWith]="displayFnPartner">
                                    <mat-option *ngFor="let partner of partnersData" [value]="partner">
                                        <span>{{ partner.name }}</span>
                                    </mat-option>
                                    <mat-option *ngIf="partnersData == '' && partnersData!.length == 0">No Matches
                                        Found</mat-option>
                                </mat-autocomplete>
                            </div>

                            <div class="col-xs-2 list-customer autocomplete-field-container" *ngIf="companyType==1">
                                <input [(ngModel)]="deviceForm" [formControl]="device" type="text"
                                    placeholder="Select device" [matAutocomplete]="devices"
                                    class="form-control custom-class-border" (ngModelChange)="searchDevice($event)">
                                <img *ngIf="loadingIndicator == 'searchDevice'" class="loading_indicator"
                                    src="assets/img/loading.gif" alt="search device">
                                <mat-autocomplete #devices="matAutocomplete" [displayWith]="displayFnDevice">
                                    <mat-option *ngFor="let device of deviceData" [value]="device">
                                        <div class="option-otr">
                                            <div class="option_span">{{device.unique_device_id}}</div>
                                            <div class="option_span"> {{device.device_model}}</div>
                                        </div>
                                    </mat-option>
                                    <mat-option *ngIf="deviceData == '' && deviceData.length == 0">No Matches Found
                                    </mat-option>
                                </mat-autocomplete>
                            </div>
                            <div class="col-xs-2 list-customer autocomplete-field-container" *ngIf="companyType!==2">
                                <input matInput placeholder="Customer Phone" [(ngModel)]="user_name"
                                    class="form-control" name="user_id"
                                    (ngModelChange)="searchCustomer($event,'searchCustomer')" [formControl]="user_phone"
                                    aria-label="Customer" [matAutocomplete]="Customerphone">
                                <img *ngIf="loadingIndicator == 'searchCustomer2'" class="loading_indicator"
                                    src="assets/img/loading.gif" alt="loader">
                                <mat-autocomplete #Customerphone="matAutocomplete"
                                    [displayWith]="displayFnCustomerPhone">
                                    <mat-option *ngFor="let customer of customerData" [value]="customer">
                                        {{ customer.phone_number }}
                                    </mat-option>
                                    <mat-option *ngIf="customerData == '' && customerData!.length == 0">No Matches
                                        Found</mat-option>
                                </mat-autocomplete>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-xs-2 autocomplete-field-container">
                                <mat-select class="form-control" [(ngModel)]="payment_type_id">
                                    <mat-option value=""><span>Payment type</span></mat-option>
                                    <mat-option *ngFor="let payment of paymentTypeData" [value]="payment">
                                        <span>{{ payment.type }}</span>
                                    </mat-option>
                                </mat-select>
                            </div>
                            <div class="col-xs-2 autocomplete-field-container">
                                <input matInput placeholder="Payment Extra" class="form-control" name="payment_extra_id"
                                    (ngModelChange)="searchPaymentExtra($event)" [(ngModel)]="payment_extra_id"
                                    aria-label="PaymentExtra" [matAutocomplete]="PaymentExtra">
                                <mat-autocomplete #PaymentExtra="matAutocomplete" [displayWith]="displayFnPaymentExtra">
                                    <mat-option *ngFor="let payment of paymentData" [value]="payment">
                                        <span>{{ payment.payment_extra }}</span>
                                    </mat-option>
                                    <mat-option *ngIf="paymentData == '' && paymentData.length == 0">No Matches
                                        Found
                                    </mat-option>
                                </mat-autocomplete>
                            </div>
                            <div class="col-xs-2 autocomplete-field-container" *ngIf="companyType==1">
                                <input matInput placeholder="Additional Service" class="form-control"
                                    name="additional_service_id" (ngModelChange)="searchAddService($event)"
                                    [(ngModel)]="additional_service_id" aria-label="AddService"
                                    [matAutocomplete]="AddService">
                                <mat-autocomplete #AddService="matAutocomplete" [displayWith]="displayFnAddService">
                                    <mat-option *ngFor="let service of serviceGroupData" [value]="service">
                                        <span>{{ service.name }}</span>
                                    </mat-option>
                                    <mat-option *ngIf="serviceGroupData == '' && serviceGroupData.length == 0">No
                                        Matches Found</mat-option>
                                </mat-autocomplete>
                            </div>
                            <div class="col-xs-2">
                                <mat-select [(ngModel)]="bill_printed" name="bill_printed" class="form-control"
                                    placeholder="Bill status">
                                    <mat-option value="0"> Not Printed </mat-option>
                                    <mat-option value="1"> Printed </mat-option>
                                </mat-select>
                            </div>
                            <div class="col-xs-2">
                                <mat-select [(ngModel)]="pickup_location" name="pickup_location" class="form-control"
                                    placeholder="Pick up zone" multiple>
                                    <mat-option *ngFor="let zone of zones" [value]="zone">
                                        {{zone.name}}
                                    </mat-option>
                                </mat-select>
                            </div>
                            <div class="col-xs-2">
                                <mat-select [(ngModel)]="drop_location" name="drop_location" class="form-control"
                                    placeholder="Drop zone" multiple>
                                    <mat-option *ngFor="let zone of zones" [value]="zone">
                                        <span>{{ zone.name }}</span>
                                    </mat-option>
                                </mat-select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xs-4 list-driver autocomplete-field-container">
                                <div style="position:relative; width: 100%;">
                                    <input [(ngModel)]="driverForm" matInput placeholder="Select Driver"
                                        class="form-control" name="driver_id" (ngModelChange)="searchDriver($event)"
                                        [formControl]="queryField" aria-label="Driver" [matAutocomplete]="Drivers">
                                    <img *ngIf="loadingIndicator == 'searchDriver'" class="loading_indicator"
                                        src="assets/img/loading.gif"  alt="loader"/>
                                </div>
                                <mat-autocomplete #Drivers="matAutocomplete" [displayWith]="displayFnDriver">
                                    <mat-option *ngFor="let driver of driverData" [value]="driver">
                                        <span class="img-otr">
                                            <img style="vertical-align:middle;" aria-hidden
                                                src="{{driver.profile_picture ? apiUrl + driver.profile_picture+imageext : '../../assets/img/noimage.jpg'}}"
                                                height="25"  alt="loader"/>
                                        </span>
                                        <div class="option-otr">
                                            <div class="option_span">
                                                <strong>Username:</strong>{{ driver.username }}</div>
                                            <div class="option_span">
                                                <strong>Name and Surname:</strong>{{ driver.name }} &nbsp;{{ driver.surname }}
                                            </div>
                                            <div class="option_span">
                                                <strong>Display Name:</strong>{{ driver.display_name }}</div>
                                        </div>
                                    </mat-option>
                                    <mat-option *ngIf="driverData == '' && driverData.length == 0">No Matches Found
                                    </mat-option>
                                </mat-autocomplete>
                            </div>
                            <div class="col-xs-2 autocomplete-field-container">
                                <mat-select [(ngModel)]="driver_groups_id" name="drop_location" class="form-control"
                                    placeholder="Driver Group" multiple>
                                    <mat-option *ngFor="let driverGroup of driverGroupData" [value]="driverGroup">
                                        <span>{{ driverGroup.name }}</span>
                                    </mat-option>
                                </mat-select>
                            </div>
                            <div class="col-xs-2 autocomplete-field-container">
                                <input [(ngModel)]="sideForm" matInput placeholder="Select Vehichle No"
                                    class="form-control" name="vehichle_side_no"
                                    (ngModelChange)="searchVehichleSidenumber($event)" [formControl]="vehicle_side_no"
                                    aria-label="vehichleSide" [matAutocomplete]="vehichleSide">
                                <img *ngIf="loadingIndicator == 'searchVehichleSidenumber'" class="loading_indicator"
                                    src="assets/img/loading.gif"  alt="loader"/>
                                <mat-autocomplete #vehichleSide="matAutocomplete" [displayWith]="displayFnVehichleSide">
                                    <mat-option *ngFor="let vehichle1 of vehichleSideData" [value]="vehichle1">
                                        <span>{{ vehichle1.vehicle_identity_number}}</span>
                                    </mat-option>
                                    <mat-option *ngIf="vehichleSideData == '' && vehichleSideData.length == 0">No
                                        Matches Found</mat-option>
                                </mat-autocomplete>
                            </div>
                            <div class="col-sm-2 autocomplete-field-container">
                                <input [(ngModel)]="plateForm" matInput placeholder="Plate Number" class="form-control"
                                    name="vehichle_plate_no" (ngModelChange)="searchVehichlePlateNumber($event)"
                                    [formControl]="vehicle_plate_no" aria-label="VehichlePlate"
                                    [matAutocomplete]="vehichlePlate">
                                <img *ngIf="loadingIndicator == 'searchVehichlePlateNumber'" class="loading_indicator"
                                    src="assets/img/loading.gif"  alt="loader"/>
                                <mat-autocomplete #vehichlePlate="matAutocomplete"
                                    [displayWith]="displayFnVehichlePlate">
                                    <mat-option *ngFor="let vehichle2 of vehichlePlateData" [value]="vehichle2">
                                        <div class="option-otr">
                                            <span>{{ vehichle2.plate_number}}</span>
                                        </div>
                                    </mat-option>
                                    <mat-option *ngIf="vehichlePlateData == '' && vehichlePlateData.length == 0">No
                                        Matches Found</mat-option>
                                </mat-autocomplete>
                            </div>
                            <div class="col-sm-2" *ngIf="companyType==1">
                                <mat-select [(ngModel)]="orderComments" placeholder="Order Comments"
                                    class="form-control" multiple>
                                    <mat-option value="pending">Pending</mat-option>
                                    <mat-option value="completed">Completed</mat-option>
                                </mat-select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xs-2 custom-position">
                                <input [(ngModel)]="selectedMoment" name="start_date" [max]="max" [min]="min"
                                    [owlDateTimeTrigger]="dtPicker1" [owlDateTime]="dtPicker1" placeholder="Start Date"
                                    class="form-control" (click)="checkShiftstartTime()">
                                <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;"
                                    [owlDateTimeTrigger]="dtPicker1" (click)="checkShiftstartTime()"></i>
                                <owl-date-time #dtPicker1></owl-date-time>
                            </div>
                            <div class="col-xs-2 custom-position">
                                <input [(ngModel)]="selectedMoment1" name="end_date" [min]="selectedMoment" [max]="max"
                                    [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="End Date"
                                    class="form-control" (click)="checkShiftstartTime1()">
                                <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;"
                                    [owlDateTimeTrigger]="dtPicker2" (click)="checkShiftstartTime1()"></i>
                                <owl-date-time #dtPicker2></owl-date-time>
                            </div>
                            <div class="col-xs-2" *ngIf="companyType==1">
                                <mat-select [(ngModel)]="promo_id" name="current_order_status" class="form-control"
                                    placeholder="Promo code">
                                    <mat-option value="1">Applied</mat-option>
                                    <mat-option value="0">Not applied</mat-option>
                                </mat-select>
                            </div>
                            <div class="col-xs-2">
                                <mat-select [(ngModel)]="current_order_status" name="current_order_status"
                                    class="form-control" placeholder="Order Status">
                                    <mat-option value="">Select Order Status</mat-option>
                                    <mat-option value="search_for_driver">Search For Driver</mat-option>
                                    <mat-option value="accepted_by_driver">Accepted</mat-option>
                                    <mat-option value="trip_started">In Progress</mat-option>
                                    <mat-option value="scheduled_trip">Scheduled Trip</mat-option>
                                    <mat-option value="canceled">Canceled</mat-option>
                                    <mat-option value="completed">Completed</mat-option>
                                    <mat-option value="order_timed_out">Order timed out</mat-option>
                                    <mat-option value="driver_cancel">Driver cancelled</mat-option>
                                </mat-select>
                            </div>
                            <div class="col-sm-2">
                                <mat-select [(ngModel)]='pageSize' name='pageSize' class="form-control"
                                    placeholder="No of Records">
                                    <mat-option value=10>10 records</mat-option>
                                    <mat-option value="20">20 records</mat-option>
                                    <mat-option value="30">30 records</mat-option>
                                    <mat-option value="40">40 records</mat-option>
                                    <mat-option value="50">50 records</mat-option>
                                </mat-select>
                            </div>
                            <div class="col-sm-2" *ngIf="dtc">
                                <mat-select [(ngModel)]="companyIdFilter" placeholder="Company" class="form-control"
                                    multiple>
                                    <mat-option value="all" (click)="selectAllCompany()">All</mat-option>
                                    <mat-option (click)="companyManualSelect()" *ngFor="let company of companyData"
                                        [value]="company._id">
                                        {{company.company_name}}
                                    </mat-option>
                                </mat-select>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-2" *ngIf="companyType==1">
                                <mat-select [(ngModel)]="order_edited" name="order_edited" class="form-control"
                                    placeholder="Edited order">
                                    <mat-option value="1"> Yes </mat-option>
                                    <mat-option value="0"> No </mat-option>
                                </mat-select>
                            </div>
                            <div class="col-sm-2" *ngIf="generated_by=='dispatcher'">
                                <mat-select [(ngModel)]="vehicleTypeFilterOrder" name="vehicle_model"
                                    class="form-control" placeholder="Vehicle model" multiple>
                                    <mat-option *ngFor="let vMod of vehicleModels" [value]="vMod._id">
                                        <span>{{ vMod.name }}</span>
                                    </mat-option>
                                </mat-select>
                            </div>
                            <div class="col-sm-2" *ngIf="generated_by=='customer'">
                                <mat-select [(ngModel)]="vehicleCategory" name="vehicle_category" class="form-control"
                                    placeholder="Vehicle category" multiple>
                                    <mat-option *ngFor="let vCat of vehicleCateg" [value]="vCat._id">
                                        <span>{{ vCat.name }}</span>
                                    </mat-option>
                                </mat-select>
                            </div>
                            <div class="col-sm-4" *ngIf="generated_by=='customer'">
                                <mat-chip-list #chipList>
                                    <mat-chip *ngFor="let reason of cancelReasons" [selectable]="selectable"
                                        [removable]="removable" (removed)="remove(reason,'1')">
                                        {{reason.reason}}
                                        <mat-icon matChipRemove *ngIf="removable" class="fa fa-times-circle"></mat-icon>
                                    </mat-chip>
                                    <input class="form-control" placeholder="Select Reason" [matAutocomplete]="auto"
                                        [matChipInputFor]="chipList"
                                        [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                                        [matChipInputAddOnBlur]="addOnBlur" [(ngModel)]="searchReasonsChange"
                                        (ngModelChange)="searchReasons($event);">
                                </mat-chip-list>
                                <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event,'1')"
                                    [displayWith]="displayFnOrderId">
                                    <mat-option *ngFor="let search of searchReason" [value]="search">
                                        {{search.reason}}
                                    </mat-option>
                                </mat-autocomplete>
                            </div>
                            <div class="col-sm-2" *ngIf="generated_by=='customer'">
                                <mat-select [(ngModel)]="flagged_orders" name="flagged_order" class="form-control"
                                    placeholder="Flagged order">
                                    <mat-option value="1"> Yes </mat-option>
                                    <mat-option value="0"> No </mat-option>
                                </mat-select>
                            </div>
                            <div class="col-sm-2"
                                *ngIf="payment_type_id.id && payment_type_id.id==4 && transaction_log">
                                <mat-select [(ngModel)]='transaction_status' class="form-control"
                                    placeholder="Transaction status">
                                    <mat-option value="0">Success</mat-option>
                                    <mat-option value="1">Failed</mat-option>
                                </mat-select>
                            </div>
                            <div class="col-sm-2">
                                <input type="text" [(ngModel)]='startPrice' class="form-control"
                                    placeholder="Min price">
                            </div>
                            <div class="col-sm-2">
                                <input type="text" [(ngModel)]='endPrice' class="form-control" placeholder="Max price">
                            </div>
                            
                            <div class="col-xs-2 list-customer autocomplete-field-container"
                                *ngIf="generated_by=='delivery'">
                                <input matInput placeholder="Customer Phone"
                                class="form-control" name="guest_Phone" [formControl]="guestPhone"
                                    aria-label="guest_Phone" [matAutocomplete]="guestuser">
                                <mat-autocomplete #guestuser="matAutocomplete" [displayWith]="displayFnCustomer">
                                    <mat-option *ngFor="let customer of guestCustomerData" [value]="customer" (onSelectionChange)="guestCustomer(customer);">
                                        {{ customer.phone_number }}
                                    </mat-option>
                                    <mat-option *ngIf="guestCustomerData == '' && guestCustomerData!.length == 0">
                                        No Matches Found
                                    </mat-option>
                                </mat-autocomplete>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-7 col-md-7 text-right">
                                <div class="icons" *ngIf="companyType==1">
                                    <a [ngStyle]="{ 'color' : statusColor('dispatcher')}"
                                        (click)="colorFilter('dispatcher')" matTooltip="Dispatcher"><i aria-hidden="true" 
                                            class="fa fa-headphones"></i></a>
                                    <a [ngStyle]="{ 'color' : statusColor('driver')}" (click)="colorFilter('driver')"
                                        matTooltip="Driver"><i aria-hidden="true" class="fa fa-taxi"></i></a>
                                    <a [ngStyle]="{ 'color' : statusColor('hotel/website')}"
                                        (click)="colorFilter('hotel/website')" matTooltip="Hotel/website"><i aria-hidden="true"
                                            class="fa fa-building"></i></a>
                                    <a [ngStyle]="{ 'color' : statusColor('kiosk')}" (click)="colorFilter('kiosk')"
                                        matTooltip="KIOSK"><i aria-hidden="true" class="fa fa-desktop"></i></a>
                                    <a [ngStyle]="{ 'color' : statusColor('customer')}"
                                        (click)="colorFilter('customer')" matTooltip="Customer"><i aria-hidden="true"
                                            class="fa fa-user"></i></a>
                                    <a [ngStyle]="{ 'color' : statusColor('website')}" (click)="colorFilter('website')"
                                        matTooltip="Website"><i aria-hidden="true" class="fa fa-globe"></i></a>
                                    <a [ngStyle]="{ 'color' : statusColor('delivery')}"
                                        (click)="colorFilter('delivery')" matTooltip="Website"><i aria-hidden="true"
                                            class="fa fa-archive"></i></a>
                                </div>
                            </div>
                            <div class="col-sm-5 col-md-5 text-right">
                                <ng-container *ngIf="downloads && companyType==1">
                                    <span matTooltip="CSV" style="cursor:pointer">
                                        <img src="assets/img/csv.png" (click)="getconstantsforcsv()"  alt="csv"/>
                                    </span>
                                </ng-container>

                                <button type="get" (click)="getOrders();" class="btn btn-sm btn-primary blue">
                                    <i aria-hidden="true" class="fa fa-search"></i>
                                    Search
                                </button>
                                <button class="btn btn-sm btn-primary green" (click)="refresh()">
                                    <i aria-hidden="true" class="fa fa-refresh "></i>
                                    Refresh
                                </button>
                                <button class="btn btn-sm red" (click)="reset()">
                                    <i aria-hidden="true" class="fa fa-eraser"></i>
                                    Reset filters
                                </button>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div *ngIf="creatingcsv">
                                    <progress-bar [progress]="progressvalue" [color]="'#211d46'">
                                    </progress-bar>
                                </div>
                            </div>
                        </div>
                        <div id="google"></div>
                        <div *ngIf="revenueLog" class="payment-cal-outer">
                            <div class="payment-cal-table table-responsive">
                                <div style="float:right;border-left:1px dotted #fff;padding:0 20px;">
                                    <table aria-describedby="Manage Company" class="sum_table">
                                        <span *ngIf="searchSubmit">
                                            <img alt="loader" src="assets/img/loader.gif" class="loader-img"  alt="csv"/>
                                        </span>
                                        <tbody>
                                            <tr>
                                                <th scope="col" class="sum_table_headers"></th>
                                                <td class="sum_table_headers">Subtotal</td>
                                                <td *ngIf="order_detail_data.subtotal==''">Loading</td>
                                                <td *ngIf="order_detail_data.subtotal!==''">
                                                    {{order_detail_data.subtotal!=0?order_detail_data.subtotal:0}}</td>
                                            </tr>
                                            <tr>
                                                <th scope="col" class="sum_table_headers"></th>
                                                <td class="sum_table_headers">Base price</td>
                                                <td class="sum_table_headers">Vat price</td>
                                            </tr>
                                            <tr>
                                                <th scope="col">0.0%(VAT)</th>
                                                <td *ngIf="order_detail_data.base_price==''">Loading</td>
                                                <td *ngIf="order_detail_data.base_price!=''">
                                                    {{order_detail_data.base_price!=0?order_detail_data.base_price:0}}
                                                </td>
                                                <td *ngIf="order_detail_data.vat_price!==''">
                                                    {{order_detail_data.vat_price!=0?order_detail_data.vat_price:0}}
                                                </td>
                                            </tr>
                                            <tr class="total">
                                                <th scope="col" class="sum_table_headers"></th>
                                                <td class="sum_table_headers">Count</td>
                                                <td class="sum_table_headers">Amount</td>
                                            </tr>
                                            <tr>
                                                <th scope="col" class="sum_table_headers">Total</th>
                                                <td *ngIf="order_detail_data.bill_notprinted_count==''">Loading</td>
                                                <td *ngIf="order_detail_data.bill_notprinted_count!=''">{{order_detail_data.bill_notprinted_count
                                                    + order_detail_data.bill_printed_count}}</td>
                                                <td *ngIf="order_detail_data.bill_notprinted_amount==''">Loading
                                                </td>
                                                <td *ngIf="order_detail_data.subtotal==''">Loading</td>
                                                <td *ngIf="order_detail_data.subtotal!==''">
                                                    {{order_detail_data.subtotal!=0?order_detail_data.subtotal:0}}</td>
                                            </tr>
                                            <tr>
                                                <th scope="col" class="sum_table_headers">Bill printed</th>
                                                <td *ngIf="order_detail_data.bill_notprinted_amount==''">Loading</td>
                                                <td *ngIf="order_detail_data.bill_notprinted_amount!=''">
                                                    {{order_detail_data.bill_printed_count}}</td>
                                                <td *ngIf="order_detail_data.bill_notprinted_amount==''">Loading</td>
                                                <td *ngIf="order_detail_data.bill_notprinted_amount!=''">
                                                    {{order_detail_data.bill_printed_amount!=0?order_detail_data.bill_printed_amount:0}}
                                                </td>
                                            </tr>
                                            <tr>
                                                <th scope="col" class="sum_table_headers">Bill not printed</th>
                                                <td *ngIf="order_detail_data.bill_notprinted_amount==''"></td>
                                                <td *ngIf="order_detail_data.bill_notprinted_amount!=''">
                                                    {{order_detail_data.bill_notprinted_count}}</td>
                                                <td *ngIf="order_detail_data.bill_notprinted_amount==''">
                                                </td>
                                                <td *ngIf="order_detail_data.bill_notprinted_amount!=''">
                                                    {{order_detail_data.bill_notprinted_amount!=0?order_detail_data.bill_notprinted_amount:0}}
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <table aria-describedby="Manage Company" class="sum_table">
                                    <tbody>
                                        <tr>
                                            <th scope="col" class="sum_table_headers" colspan="2">By order type</th>
                                        </tr>
                                        <tr>
                                            <th scope="col">DISPACHER ASSIGNED <span
                                                    *ngIf="order_detail_data.dispatcher_assigned_count=='-1'">Loading</span>
                                                <span
                                                    *ngIf="order_detail_data.dispatcher_assigned_count!='-1'">({{order_detail_data.dispatcher_assigned_count}})</span>
                                            </th>
                                            <td *ngIf="order_detail_data.dispatcher_assigned_count=='-1'">Loading</td>
                                            <td *ngIf="order_detail_data.dispatcher_assigned_count!='-1'"
                                                style="text-align:right">
                                                {{order_detail_data.dispatcher_assigned_amount!=0?order_detail_data.dispatcher_assigned_amount:0}}
                                            </td>
                                        </tr>
                                        <tr>
                                            <th scope="col">OFFLINE ORDER <span
                                                    *ngIf="order_detail_data.dispatcher_assigned_count=='-1'">Loading</span>
                                                <span
                                                    *ngIf="order_detail_data.dispatcher_assigned_count!='-1'">({{order_detail_data.offline_order_count}})</span>
                                            </th>
                                            <td *ngIf="order_detail_data.dispatcher_assigned_count=='-1'">Loading</td>
                                            <td *ngIf="order_detail_data.dispatcher_assigned_count!='-1'"
                                                style="text-align:right">
                                                {{order_detail_data.offline_order_amount!=0?order_detail_data.offline_order_amount:0}}
                                            </td>
                                        </tr>
                                        <tr>
                                            <th scope="col">CUSTOMER APP ORDER <span
                                                    *ngIf="order_detail_data.dispatcher_assigned_count=='-1'">Loading</span>
                                                <span
                                                    *ngIf="order_detail_data.dispatcher_assigned_count!='-1'">({{order_detail_data.customer_order_count}})</span>
                                            </th>
                                            <td *ngIf="order_detail_data.dispatcher_assigned_count=='-1'">Loading</td>
                                            <td *ngIf="order_detail_data.dispatcher_assigned_count!='-1'"
                                                style="text-align:right">
                                                {{order_detail_data.customer_order_amount!=0?order_detail_data.customer_order_amount:0}}
                                            </td>
                                        </tr>
                                        <tr>
                                            <th scope="col">WEBSITE ORDER <span
                                                    *ngIf="order_detail_data.dispatcher_assigned_count=='-1'">Loading</span>
                                                <span
                                                    *ngIf="order_detail_data.dispatcher_assigned_count!='-1'">({{order_detail_data.website_order_count}})</span>
                                            </th>
                                            <td *ngIf="order_detail_data.dispatcher_assigned_count=='-1'">Loading</td>
                                            <td *ngIf="order_detail_data.dispatcher_assigned_count!='-1'"
                                                style="text-align:right">
                                                {{order_detail_data.website_order_amount!=0?order_detail_data.website_order_amount:0}}
                                            </td>
                                        </tr>
                                        <tr>
                                            <th scope="col">KIOSK ORDER <span
                                                    *ngIf="order_detail_data.dispatcher_assigned_count=='-1'">Loading</span>
                                                <span
                                                    *ngIf="order_detail_data.dispatcher_assigned_count!='-1'">({{order_detail_data.kiosk_order_count}})</span>
                                            </th>
                                            <td *ngIf="order_detail_data.dispatcher_assigned_count=='-1'">Loading</td>
                                            <td *ngIf="order_detail_data.dispatcher_assigned_count!='-1'"
                                                style="text-align:right">
                                                {{order_detail_data.kiosk_order_amount!=0?order_detail_data.kiosk_order_amount:0}}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>---------</td>
                                            <td>---------</td>
                                        </tr>
                                        <tr>
                                            <td class="sum_table_headers" colspan="2">By payment type</td>
                                        </tr>
                                        <tr>
                                            <td>Credit</td>
                                            <td *ngIf="order_detail_data.bill_notprinted_amount==''">Loading</td>
                                            <td *ngIf="order_detail_data.bill_notprinted_amount!=''">
                                                {{order_detail_data.credit_total!=0?order_detail_data.credit_total:0}}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Cash</td>
                                            <td *ngIf="order_detail_data.bill_notprinted_amount==''">Loading</td>
                                            <td *ngIf="order_detail_data.bill_notprinted_amount!=''">
                                                {{order_detail_data.cash_total!=0?order_detail_data.cash_total:0}}</td>
                                        </tr>
                                        <tr>
                                            <td>Account</td>
                                            <td *ngIf="order_detail_data.bill_notprinted_amount==''">Loading</td>
                                            <td *ngIf="order_detail_data.bill_notprinted_amount!=''">
                                                {{order_detail_data.account_total!=0?order_detail_data.account_total:0}}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Online</td>
                                            <td *ngIf="order_detail_data.bill_notprinted_amount==''">Loading</td>
                                            <td *ngIf="order_detail_data.bill_notprinted_amount!=''">
                                                {{order_detail_data.card_total!=0?order_detail_data.card_total:0}}</td>
                                        </tr>
                                        <tr class="total">
                                            <td style="padding-bottom:10px" class="sum_table_headers">Total</td>
                                            <td *ngIf="order_detail_data.bill_notprinted_amount==''">Loading</td>
                                            <td style="text-align:right;font-weight:bold;padding-bottom:10px"
                                                *ngIf="order_detail_data.bill_notprinted_amount!=''">
                                                {{order_detail_data.subtotal!=0?order_detail_data.subtotal:0}}</td>
                                        </tr>
                                        <tr>
                                            <td>---------</td>
                                            <td>---------</td>
                                        </tr>
                                        <tr>
                                            <td class="sum_table_headers">By payment extra</td>
                                        </tr>
                                        <tr *ngFor="let paymentExtra of payment_extra">
                                            <td *ngIf="paymentExtra._id=='A008'; else promo1">
                                                Promo Code Discount
                                            </td>
                                            <ng-template #promo1>
                                                <td>{{paymentExtra.name}}</td>
                                            </ng-template>
                                            <td>{{paymentExtra.amt.$numberDecimal}}</td>
                                        </tr>
                                        <tr>
                                            <td>---------</td>
                                            <td>---------</td>
                                        </tr>
                                        <tr>
                                            <td class="sum_table_headers">Total distance</td>
                                            <td *ngIf="order_detail_data.bill_notprinted_amount==''">Loading</td>
                                            <td style="text-align:right"
                                                *ngIf="order_detail_data.bill_notprinted_amount!=''">
                                                {{order_detail_data.total_distance!=0?order_detail_data.total_distance:0}}
                                                km</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div>
                            <span style="float:right;padding-right: 30px;">Showing
                                {{pageSize < orderLength?pageSize:orderLength}} out of {{orderLength}} records</span>
                            <div class="ibox-content">
                                <div class="table-responsive">
                                    <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom"
                                        id="orders_table">
                                        <thead>
                                            <tr>
                                                <th scope="col">ID/
                                                    <br>(Shift ID)/
                                                    <br>Company</th>
                                                <th scope="col" *ngIf="dtc || aaaCompany">Customer Name/<br>Customer Phone
                                                    Number/<br>Customer email</th>
                                                <th scope="col">Source/
                                                    <br>Start Time/
                                                    <br>Destination/
                                                    <br>Stop Time/
                                                    <br>Distance</th>
                                                <th scope="col">Driver/
                                                    <br>Accept time/
                                                    <br>Customer Rating/
                                                    <br>Driver Rating/
                                                    <br>Driver Feedback</th>
                                                <th scope="col">Vehicle/
                                                    <br>Vehicle Plate/
                                                    <br>Vehicle Side Number
                                                </th>
                                                <th scope="col">Partner</th>
                                                <th scope="col">Additional service</th>
                                                <th scope="col">Order type/
                                                    <br>Payment type/
                                                    <br>Status/
                                                    <br>Transaction Status</th>
                                                <th scope="col">Tariff (default)</th>
                                                <th scope="col" style="width:300px">Payment Asset</th>
                                                <th scope="col">Bill printed/
                                                    <br>Online reciept Status</th>
                                                <th scope="col">Date</th>
                                                <th scope="col" *ngIf="aclCheck">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <span *ngIf="searchSubmit">
                                                <img alt="loader" src="assets/img/loader.gif" class="loader-img"  alt="csv"/>
                                            </span>
                                            <tr *ngFor="let order of orderData;let i = index">
                                                <td>

                                                    <span>{{order.unique_order_id ? order.unique_order_id : 'NA'}}
                                                    </span>
                                                    <br />
                                                    <span> ({{order.shift_id ? order.shift_id.unique_shift_id :
                                                        'N/A'}}) </span>
                                                    <span>
                                                        <strong>{{order.company_id?.company_name}}</strong>
                                                    </span>
                                                </td>
                                                <td *ngIf="dtc || aaaCompany"
                                                    (click)="!order.user_id || customerDetails(order.user_id)"
                                                    [ngClass]="{'customerLink':order.user_id}">
                                                    <span>
                                                        {{order.user_id && order.user_id.firstname ?
                                                        order.user_id.firstname: 'Offline Customer'}}
                                                    </span>
                                                    <br>
                                                    <span
                                                        *ngIf="order.user_id && order.request_generated_from != 'delivery'">
                                                        + {{order.user_id && order.user_id.phone_number ?
                                                            order.user_id.country_code: ''}} -
                                                        {{order.user_id && order.user_id.phone_number ?
                                                        order.user_id.phone_number: ''}}
                                                    </span>
                                                    <span
                                                        *ngIf="order.guest_user_id && order.request_generated_from == 'delivery'">
                                                        + {{order.guest_user_id && order.guest_user_id.phone_number ?
                                                            order.guest_user_id.country_code: ''}} -
                                                        {{order.guest_user_id && order.guest_user_id.phone_number ?
                                                        order.guest_user_id.phone_number: ''}}
                                                    </span>
                                                    <br>
                                                    <span>
                                                        {{order.user_id && order.user_id.email ?
                                                        order.user_id.email: ''}}
                                                    </span>
                                                </td>
                                                <td>
                                                    <span>{{order.pickup_location}} </span>
                                                    <br>
                                                    <br>
                                                    <span>{{order.sync_trip_id!=null ?
                                                        order.sync_trip_id.start_trip_calendar ?
                                                        order.sync_trip_id.start_trip_calendar :'NA' :'NA'}} </span>
                                                    <br>
                                                    <br>
                                                    <span>{{order.drop_location}} </span>
                                                    <br>
                                                    <br>
                                                    <span>{{order.sync_trip_id!=null
                                                        ?order.sync_trip_id.finished_trip_calendar?
                                                        order.sync_trip_id.finished_trip_calendar:'NA':'NA'}} </span>
                                                    <br>
                                                    <br>
                                                    <span>{{order.sync_trip_id ?
                                                        order.sync_trip_id.total_distance_travelled :
                                                        order.distance}}
                                                    </span>
                                                    <br>
                                                    <br>
                                                </td>
                                                <td>

                                                    <div class="popup-rating" (mouseenter)="viewTripComment(order,i)">
                                                        <span>{{order.driver_id ? order.driver_id.username: ' NA '}}
                                                        </span>
                                                        <br>
                                                        <br>
                                                        <span> {{order.accept_time?order.accept_time:"NA"}} </span>
                                                        <br>
                                                        <br>
                                                        <div *ngIf="order.generate_by==='customer' && order.order_status=='completed' && order.rating && order.rating!=='' && order.rating!=='-1';else cusNa"
                                                            style="display:flex">

                                                            <span
                                                                *ngFor="let x of [].constructor(parse(order.rating));"><span
                                                                    class="fa fa-star"></span></span>
                                                            <span
                                                                *ngFor="let x of [].constructor(5-parse(order.rating));"><span
                                                                    class="fa fa-star-o"></span></span>
                                                        </div>
                                                        <ng-template #cusNa>NA</ng-template>
                                                        <div *ngIf="order.order_status=='completed' && order.sync_trip_id && order.sync_trip_id.trip_rating && order.sync_trip_id.trip_rating!=='-1';else drvNa"
                                                            style="display:flex">

                                                            <span
                                                                *ngFor="let x of [].constructor(parse(order.sync_trip_id.trip_rating));"><span
                                                                    class="fa fa-star"></span></span>
                                                            <span
                                                                *ngFor="let x of [].constructor(5-parse(order.sync_trip_id.trip_rating));"><span
                                                                    class="fa fa-star-o"></span></span>
                                                        </div>
                                                        <ng-template #drvNa>NA</ng-template>
                                                        <div
                                                            *ngIf="order.order_status=='completed' && order.sync_trip_id && order.sync_trip_id.trip_rating && order.sync_trip_id.trip_rating!=='-1' && order.sync_trip_id.trip_comment!=='';else comNa">
                                                            {{order.sync_trip_id.trip_comment}}
                                                        </div>
                                                        <ng-template #comNa>NA</ng-template>
                                                        <br />
                                                        <div class="popup-box-rating"
                                                            *ngIf="order.generate_by==='customer' && order.order_status=='completed'">
                                                            Customer comment:
                                                            {{order.customer_comment?order.customer_comment:'NA'}}
                                                        </div>
                                                    </div>

                                                </td>
                                                <td>
                                                    <span> {{order.vehicle_id ? order.vehicle_id.display_name: 'NA '}}
                                                    </span>
                                                    <br>
                                                    <span *ngIf="order.vehicle_id!=null">( {{order.vehicle_id ?
                                                        order.vehicle_id.vehicle_unique_id: 'NA '}})</span>
                                                    <br>
                                                    <span *ngIf="order.vehicle_id!=null">{{order.vehicle_id.plate_number
                                                        ? order.vehicle_id.plate_number: 'NA
                                                        '}}
                                                    </span>
                                                    <br>
                                                    <span *ngIf="order.vehicle_id!=null">{{order.vehicle_id.vehicle_identity_number
                                                        ? order.vehicle_id.vehicle_identity_number:
                                                        'NA '}}</span>
                                                </td>
                                                <td>
                                                    <span>{{order.partner_id ? order.partner_id.name: 'NA'}}</span>
                                                    <br>
                                                    <br>
                                                </td>
                                                <td>
                                                    <span>
                                                        {{order.additional_service_id ?
                                                        order.additional_service_id.name: 'NA'}}
                                                    </span>
                                                    <br>
                                                    <br>
                                                </td>
                                                <td>
                                                    <span> {{order.assign_type}} </span>
                                                    <br>
                                                    <br>
                                                    <span *ngIf="order.sync_trip_id">
                                                        <span *ngIf="order.sync_trip_id.payment_type==='1'">Cash</span>
                                                        <span
                                                            *ngIf="order.sync_trip_id.payment_type==='2'">Credit</span>
                                                        <span
                                                            *ngIf="order.sync_trip_id.payment_type==='3'">Account</span>
                                                        <span *ngIf="order.sync_trip_id.payment_type==='4'">Online
                                                        </span>
                                                    </span>
                                                    <br>
                                                    <span> {{removeUnderscore(order.order_status)}}</span><br />
                                                    <span><br />
                                                        <span
                                                            *ngIf="order.cancellation_reason_id!=null && order.cancellation_reason_id!==''">Cancellation
                                                            reason
                                                            :{{order.cancellation_reason_id.reason}}</span></span>
                                                    <br>
                                                    <span
                                                        *ngIf="order.sync_trip_id && order.sync_trip_id.payment_type==='4' && transaction_log">
                                                        <button
                                                            *ngIf="order.transaction_status && order.transaction_status=='0'"
                                                            (click)="getTransactionLog(order._id,true)"
                                                            class="btn btn-success">Success</button>
                                                        <button
                                                            *ngIf="order.transaction_status && order.transaction_status=='1'"
                                                            (click)="getTransactionLog(order._id,false)"
                                                            class="btn btn-danger">Failed</button>
                                                        <button
                                                            *ngIf="order.transaction_status && order.transaction_status=='1'"
                                                            (click)="retryPayment(order._id,i)"
                                                            class="btn btn-danger">Retry</button>
                                                    </span>
                                                </td>
                                                <td>{{order.tariff_id ? order.tariff_id.name : N/A}}</td>
                                                <td>
                                                    <span *ngIf="order.sync_trip_id == null">NA</span>
                                                    <table aria-describedby="Manage Company" *ngIf="order.sync_trip_id!=null">
                                                        <th scope="col" style="width: 30%;">Asset </th>
                                                        <th scope="col" style="width: 20%;">Base Price </th>
                                                        <th scope="col" style="width: 10%;"></th>
                                                        <th scope="col" style="width: 20%;">Vat(%) </th>
                                                        <th scope="col" style="width: 20%;">Price </th>
                                                        <tr
                                                            *ngFor="let amtSplitupValue of order.sync_trip_id.amt_splitup">
                                                            <td *ngIf="amtSplitupValue.id=='A008'; else promo">
                                                                <span>{{order.promo_id ? 'Promocode' : 'N/A'}}</span>
                                                                <br>
                                                            </td>
                                                            <ng-template #promo>
                                                                <td>
                                                                    <span>{{amtSplitupValue.name ? amtSplitupValue.name :''}}</span>
                                                                    <br>
                                                                </td>
                                                            </ng-template>

                                                            <td>
                                                                <span>{{amtSplitupValue.amt_without_vat ?
                                                        amtSplitupValue.amt_without_vat
                                                        :''}}
                                                                </span>
                                                                <br>
                                                            </td>
                                                            <td></td>
                                                            <td>
                                                                <span>{{amtSplitupValue.vat ? amtSplitupValue.vat :''}}</span>
                                                                <br>
                                                            </td>
                                                            <td>
                                                                <span>{{amtSplitupValue.amt ? amtSplitupValue.amt :''}}</span>
                                                                <br>
                                                            </td>
                                                        </tr>

                                                        <tr *ngIf="order.sync_trip_id!=null">
                                                            <td>
                                                                <span> </span>
                                                                <br>
                                                            </td>
                                                            <td>
                                                                <span> </span>
                                                                <br>
                                                            </td>
                                                            <td>

                                                            </td>
                                                            <td>
                                                                <span>
                                                                    <strong>Total</strong>
                                                                </span>
                                                                <br>
                                                            </td>
                                                            <td>
                                                                <span>
                                                                    <strong>{{order.price?order.price:"0"}}</strong>
                                                                </span>
                                                                <br>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td *ngIf="order.sync_trip_id !=null ">
                                                    {{order.sync_trip_id.bill_printed =='1' ? 'Printed': 'Not Printed'}}
                                                    <br>
                                                    <span
                                                        *ngIf="order.sync_trip_id && order.sync_trip_id.payment_type==='4'">
                                                        {{order.online_receipt_read_status=='1'?'Read':'Unread'}}
                                                    </span>
                                                </td>
                                                <td *ngIf="order.sync_trip_id ==null ">Not Printed
                                                    <br>
                                                    <span
                                                        *ngIf="order.sync_trip_id && order.sync_trip_id.payment_type==='4'">
                                                        {{order.online_receipt_read_status=='1'?'Read':'Unread'}}
                                                    </span>
                                                </td>
                                                <td>{{order.updated_at}} </td>
                                                <td *ngIf="aclCheck && companyType==1">
                                                    <span
                                                        *ngIf="order.generate_by!=='customer' && order.payment_type!='4' && order.order_status==='completed' && (!order.customer_invoice_status || order.customer_invoice_status=='0') && order.sync_trip_id.shift_log_id?order.sync_trip_id.shift_log_id.end_time==null:false">
                                                        <a matTooltip="Edit"
                                                            [routerLink]="['/admin/orders/edit-order', order._id]">
                                                            <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                                                        </a>
                                                    </span>
                                                    <span *ngIf="order.order_status==='completed'">
                                                        <a (click)="newPdf(order)" matTooltip="Download this page">
                                                            <i aria-hidden="true" class="fa fa-download"></i>
                                                        </a>
                                                    </span>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                    <br>

                                    <div class="container-fluid" *ngIf="orderLength>0">
                                        <div class="row col-md-12 text-center">
                                            <div class="dataTables_info1">
                                                <div *ngIf="del" (click)="scroll()">
                                                    <ngb-pagination [collectionSize]="orderLength"
                                                        (pageChange)="pagingAgent($event)" [(page)]="pNo"
                                                        [pageSize]="pageSize" aria-label="Default pagination"
                                                        [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                                </div>
                                                <div *ngIf="!del" (click)="scroll()">
                                                    <ngb-pagination [collectionSize]="orderLength"
                                                        (pageChange)="pagingAgent($event)" [(page)]="pNo"
                                                        [pageSize]="pageSize" aria-label="Default pagination"
                                                        [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="container-fluid" *ngIf="orderLength==0">
                                        <div class="row">
                                            <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                                No records found
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>